Subject: cg-admin-setuprepo

From: John Gateley <[email-masked]>
Date: Thu, 5 Apr 2007 11:56:53 -0500

Hi,

I'm trying to do a cg-admin-setuprepo directory, and I'm getting
an error:

bash: line 12: syntax error near unexpected token `&&'
bash: line 12: `[[  --ee "/home/gateley/git/firewall.git""  ]]  &&&&  ddiiee "/home/gateley/git/firewall.gitt  aallrreeaaddyy  eexxiisstts""'

Looking at the source, the duplicated character problems happen here:

# Careful here, no cg-Xlib functions! Also, mind that the variables
# are substituted _before_ executing the script, not as we go. Which
# is somewhat unfortunate in case the user passed us a path containing
# quotes or backslashes, but only sick people do that and they receive
# what they deserve. ;-)
_git="$uri"
cat <<_SCRIPT_EOF_ | $shell $shellarg

die() { echo "$*" >&2; exit 1; }

The "$*" is where the doubled characters begin.
I'm not enough of a shell programmer to know what's happening.
Any ideas?

Thanks and please cc me on replies - I'm not on the mailing list yet...

j